# -*- coding: utf-8 -*-
"ma super lib"

from toto import CONST_V, hello_world # noqa
from pkg_resources import get_distribution, DistributionNotFound


# first try to get the version from scm environnement (git)
try:
    from setuptools_scm import get_version
    __version__ = get_version(root='..', relative_to=__file__)
except (ImportError, LookupError):
    # then, assume it's a regular installed package and read the
    # version number from there
    try:
        __version__ = get_distribution(__name__).version
    except DistributionNotFound:
        __version__ = 'unknown'


def main():
    print "CONST_V %s" % CONST_V
